Page MenuHomePhabricator

Prepare and check storage layer for thankyouwiki
Closed, ResolvedPublic

Description

The new wiki is fishbowl and the database was already created.

@Marostegui I've created an user at the wiki, so it should be ready for the DBA magic.

Event Timeline

Urbanecm created this task.Aug 17 2020, 1:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2020, 1:57 PM
Marostegui triaged this task as Medium priority.
Marostegui moved this task from Triage to In progress on the DBA board.
This comment was removed by Marostegui.

Mentioned in SAL (#wikimedia-operations) [2020-08-17T14:09:08Z] <marostegui> Sanitize thankyouwiki on db1124:3315, db2094:3315 - T260551

Sanitized correctly on db1124:3315 and db2094:3315.
@Urbanecm can you create another user so I can check if the triggers are running fine?

Sanitized correctly on db1124:3315 and db2094:3315.
@Urbanecm can you create another user so I can check if the triggers are running fine?

Sure, there should be one more user.

Marostegui removed Marostegui as the assignee of this task.Aug 18 2020, 7:12 AM

Thank you, the triggers worked fine, that new user got redacted correctly.

Marostegui moved this task from In progress to Done on the DBA board.Aug 18 2020, 11:06 AM
Marostegui added subscribers: bd808, Bstorm, Andrew.

The private data check came back clean so I have:

  • created thankyouwiki_p
  • Gave the grants to labsdbuser: | GRANT SELECT, SHOW VIEW ON thankyouwiki\_p`.* TO 'labsdbuser'`

cloud-services-team you can proceed with the views creation on labsdb1009,1010,1011,1012

bd808 moved this task from Backlog to Wiki replicas on the Data-Services board.
nskaggs claimed this task.Aug 20 2020, 5:34 PM
Bstorm claimed this task.Aug 20 2020, 7:16 PM
Bstorm added a subscriber: nskaggs.

Stealing this task from @nskaggs to get a successful run of a new script.

It failed on something that should have worked and worked before. I wonder why.

I didn't see you stealing this @Bstorm :-)

Bstorm reassigned this task from Bstorm to nskaggs.Aug 20 2020, 7:40 PM

Giving task back to @nskaggs to finalize. The DNS step is done if you haven't done it, but the script would not have done anything else because the views were already present :)

nskaggs closed this task as Resolved.Aug 20 2020, 7:53 PM

This should be fully complete now.

MariaDB [thankyouwiki_p]> select count(*) from user;
+----------+
| count(*) |
+----------+
|        5 |
+----------+
1 row in set (0.01 sec)

works for me, thanks!